%define		detectorver 1.1

Name:           unar
Version:        1.10.8
Release:        %mkrel 2
Summary:        Multi format application for uncompressing archive files
License:        LGPLv2+
Group:          Archiving/Compression
URL:            https://theunarchiver.com/command-line
Source0:        https://github.com/MacPaw/XADMaster/archive/v%{version}/%{name}-%{version}.tar.gz
Source2:        https://github.com/MacPaw/universal-detector/archive/%{detectorver}/universal-detector-%{detectorver}.tar.gz
Patch1:         unar-int-conversion.patch
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  gcc-objc
BuildRequires:  gnustep-base-devel
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(wavpack)

%description
The command-line utilities lsar and unar are capable of listing and extracting
files respectively in several formats including RARv3 and RARv5. 
unar can serve as a free and open source replacement of unrar.

%prep
%autosetup -c -p1
tar -axf %{SOURCE2}
# compilation depends on the exact case sensitive name of the SOURCE2 folder
ln -s universal-detector-%{detectorver} UniversalDetector
rm -fr __MACOSX The\ Unarchiver
# recursively remove executable bit from every file, skipping directories
find . -type f -print0 | xargs -0 chmod -x

%build
export OBJCFLAGS=`gnustep-config --objc-flags`
make -C XADMaster-%{version} -f Makefile.linux

%install
install -d %{buildroot}%{_bindir}
install -pm755 XADMaster-%{version}/unar XADMaster-%{version}/lsar %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -pm644 XADMaster-%{version}/Extra/*.1 %{buildroot}%{_mandir}/man1

install -d %{buildroot}%{_datadir}/bash-completion/completions
install -pm644 XADMaster-%{version}/Extra/lsar.bash_completion %{buildroot}%{_datadir}/bash-completion/completions/lsar
install -pm644 XADMaster-%{version}/Extra/unar.bash_completion %{buildroot}%{_datadir}/bash-completion/completions/unar

%files
%{_bindir}/lsar
%{_bindir}/unar
%{_mandir}/man1/*.1*
%{_datadir}/bash-completion/completions/lsar
%{_datadir}/bash-completion/completions/unar
%license XADMaster-%{version}/LICENSE


%changelog
* Mon Aug 12 2024 daviddavid <daviddavid> 1.10.8-2.mga10
+ Revision: 2086257
- add fedora patch to fix build with GCC 14
- rebuild for new gnustep-base

* Tue Jan 09 2024 daviddavid <daviddavid> 1.10.8-1.mga10
+ Revision: 2029238
- new version: 1.10.8

* Tue Oct 10 2023 daviddavid <daviddavid> 1.10.7-12.mga10
+ Revision: 1994231
- rebuild for icu73

* Sat Jan 07 2023 squidf <squidf> 1.10.7-11.mga9
+ Revision: 1931179
- Mass rebuild for icu 72.1

* Mon Aug 29 2022 wally <wally> 1.10.7-10.mga9
+ Revision: 1881606
- rebuild for gnustep-base 1.28.0

* Fri Jun 24 2022 papoteur <papoteur> 1.10.7-9.mga9
+ Revision: 1865861
- Mass Rebuild for dependencies
+ squidf <squidf>
- rebuild for icu 71.1

* Wed Apr 06 2022 umeabot <umeabot> 1.10.7-7.mga9
+ Revision: 1845846
- Mageia 9 Mass Rebuild

* Tue Aug 03 2021 luigiwalser <luigiwalser> 1.10.7-6.mga9
+ Revision: 1738984
- rebuild for icu

* Mon Nov 30 2020 luigiwalser <luigiwalser> 1.10.7-5.mga8
+ Revision: 1650937
- rebuild for icu

* Wed Jul 01 2020 wally <wally> 1.10.7-4.mga8
+ Revision: 1601075
- rebuild for icu 67.1

* Sat Apr 04 2020 wally <wally> 1.10.7-3.mga8
+ Revision: 1564510
- rebuild for new icu 66.1

* Wed Feb 19 2020 umeabot <umeabot> 1.10.7-2.mga8
+ Revision: 1544381
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 solbu <solbu> 1.10.7-1.mga8
+ Revision: 1482944
- New release: 1.10.7

* Sun Oct 06 2019 daviddavid <daviddavid> 1.10.4-3.mga8
+ Revision: 1449928
- rebuild for new gnustep-base 1.26.0

* Sat Oct 05 2019 daviddavid <daviddavid> 1.10.4-2.mga8
+ Revision: 1449496
- rebuild for new icu 65.1

* Mon Feb 18 2019 solbu <solbu> 1.10.4-1.mga7
+ Revision: 1368173
- Re-Add manuals and bash_completion scripts
- Remove commented step, update description
- New version: 1.10.4
  New upstream URLs

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1.10.1-6.mga7
+ Revision: 1346122
- rebuild for icu

* Tue Aug 28 2018 daviddavid <daviddavid> 1.10.1-5.mga7
+ Revision: 1255136
- rebuild for new icu

* Wed Mar 28 2018 kekepower <kekepower> 1.10.1-4.mga7
+ Revision: 1213064
- Rebuild for new gnustep-base

* Fri Dec 29 2017 wally <wally> 1.10.1-3.mga7
+ Revision: 1187019
- rebuild for new icu

* Thu Mar 16 2017 mrambo3501 <mrambo3501> 1.10.1-2.mga6
+ Revision: 1093113
- Rebuild for icu-58.2

* Sat Jun 04 2016 tarakbumba <tarakbumba> 1.10.1-1.mga6
+ Revision: 1020217
- Update to 1.10.1 version

* Sat May 14 2016 shlomif <shlomif> 1.9.1-2.mga6
+ Revision: 1015270
- Rebuild for the new UCI (new major)

* Sat Jan 02 2016 tarakbumba <tarakbumba> 1.9.1-1.mga6
+ Revision: 918145
- Update to 1.9.1 version

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.8.1-6.mga6
+ Revision: 917928
- rebuild for icu

* Sat Jul 25 2015 cjw <cjw> 1.8.1-5.mga6
+ Revision: 857386
- rebuild for icu 55

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-4.mga5
+ Revision: 748741
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-3.mga5
+ Revision: 690039
- Mageia 5 Mass Rebuild
+ wally <wally>
- fix URL

* Sat Apr 05 2014 wally <wally> 1.8.1-2.mga5
+ Revision: 611968
- don't own bash-completion dirs
- rebuild for new icu

* Wed Mar 26 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 608785
- imported package unar

